> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taidalos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Media Search



## OpenAPI

````yaml GET /v1/media-searches/find
openapi: 3.0.0
info:
  title: Taidalos API Documentation
  termsOfService: https://www.taidalos.com/gtc/
  contact:
    name: Customer Support
    url: https://www.taidalos.com
    email: cs@taidalos.com
  version: '1.0'
servers:
  - url: https://api.taidalos.com
security: []
tags:
  - description: Operations about subjects
    name: Subjects
  - description: Operations about media search configuration
    name: Media Search Configuration
  - description: Operations about media search
    name: Media Search
externalDocs:
  description: Get started with guides
  url: https://taidalos.com/tags/guide/
paths:
  /v1/media-searches/find:
    get:
      tags:
        - Media Search
      summary: Find Media Searches
      parameters:
        - description: Set the page size (max. 1,000)
          name: page_size
          in: query
          schema:
            type: string
        - description: Set the page you want to query
          name: page
          in: query
          schema:
            type: string
        - description: Filter for searches by media_search_id
          name: media_search_id
          in: query
          schema:
            type: string
        - description: Filter for searches by subject_id
          name: subject_id
          in: query
          schema:
            type: string
        - description: Filter for searches by media_search_configuration_id
          name: media_search_configuration_id
          in: query
          schema:
            type: string
        - description: Filter for searches by internal_subject_id
          name: internal_subject_id
          in: query
          schema:
            type: string
        - description: <Authorization Token>
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.findMediaSearchesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.problemJson'
components:
  schemas:
    main.findMediaSearchesResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/main.findMediaSearchResponseItem'
        items_count:
          type: integer
        page:
          type: integer
        total:
          type: integer
    main.problemJson:
      type: object
      properties:
        context:
          description: >-
            `context` provides additional information about the error, including
            the HTTP method and path where it occurred.
          allOf:
            - $ref: '#/components/schemas/main.defaultProblemContext'
        details:
          description: >-
            `details` provides a detailed human-readable explanation of the
            specific error.
          type: string
          example: Details explaining the error
        instance:
          description: >-
            `instance` specifies a unique URI identifying the context of the
            error, such as organisation, user, and request details.
          type: string
          example: /org/{org_id}/user/{user_id}/request-id/{request_id}
        title:
          description: >-
            `title` provides a short, human-readable summary of the problem type
            or error encountered.
          type: string
          example: Error ShortName
        type:
          description: >-
            `type` is a URI reference that identifies the problem type, allowing
            clients to recognize the type of error encountered.
          type: string
          example: https://errors.taidalos.com/common/{error-type}
    main.findMediaSearchResponseItem:
      type: object
      properties:
        created_at:
          type: string
        internal_subject_id:
          type: string
        media_search_config_id:
          type: string
        media_search_id:
          type: string
        subject_id:
          type: string
    main.defaultProblemContext:
      type: object
      required:
        - method
        - path
      properties:
        method:
          description: >-
            `method` specifies the HTTP method (e.g., GET, POST) that was used
            in the problematic request.
          type: string
          example: '{method}'
        path:
          description: >-
            `path` specifies the HTTP request path associated with the
            encountered problem.
          type: string
          example: '{path}'
        timestamp:
          type: string

````